[arch-commits] Commit in texlive-music/repos/extra-any (4 files)

Rémy Oudompheng remy at archlinux.org
Sat Nov 11 12:20:17 UTC 2017


    Date: Saturday, November 11, 2017 @ 12:20:15
  Author: remy
Revision: 309545

archrelease: copy trunk to extra-any

Added:
  texlive-music/repos/extra-any/PKGBUILD
    (from rev 309544, texlive-music/trunk/PKGBUILD)
  texlive-music/repos/extra-any/texlive-music.maps
    (from rev 309544, texlive-music/trunk/texlive-music.maps)
Deleted:
  texlive-music/repos/extra-any/PKGBUILD
  texlive-music/repos/extra-any/texlive-music.maps

--------------------+
 PKGBUILD           |  114 +++++++++++++++++++++++++--------------------------
 texlive-music.maps |    2 
 2 files changed, 58 insertions(+), 58 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2017-11-11 12:20:06 UTC (rev 309544)
+++ PKGBUILD	2017-11-11 12:20:15 UTC (rev 309545)
@@ -1,57 +0,0 @@
-# $Id$
-# Maintainer: Firmicus <firmicus āt gmx dōt net>
-# Maintainer: Rémy Oudompheng <remy at archlinux.org>
-
-pkgname=texlive-music
-pkgver=2017.44885
-_revnr=${pkgver#2017.}
-pkgrel=1
-pkgdesc="TeX Live - Music typesetting packages"
-license=('GPL')
-arch=(any)
-depends=('texlive-core')
-optdepends=('python2: for scripts from the lilyglyphs packages')
-groups=('texlive-most')
-url='http://tug.org/texlive/'
-source=("https://sources.archlinux.org/other/texlive/$pkgname-$pkgver-src.zip" "$pkgname.maps")
-options=('!emptydirs')
-sha256sums=('99b631f5d8b3bee474a27ee21eb7a10a7d56f8514ca48bb94665ec1953e2c804'
-            '0b3cc045390e756eb9243c0acc99a48a9c02ddab4764f4a00f8c3170660f017f')
-
-build() {
-   for p in *.tar.xz; do
-	   bsdtar -xf $p
-   done
-   rm -rf {tlpkg,doc,source} || true
-}
-
-package() {
-   install -m755 -d $pkgdir/var/lib/texmf/arch/installedpkgs
-   sed -i '/^#/d' CONTENTS
-   install -m644 CONTENTS $pkgdir/var/lib/texmf/arch/installedpkgs/${pkgname}_${_revnr}.pkgs
-   install -m644 $pkgname.maps $pkgdir/var/lib/texmf/arch/installedpkgs/
-   install -m755 -d $pkgdir/usr/share
-   wanteddirs=$(for d in *; do test -d $d && [[ $d != texmf* ]] && echo $d; done) || true
-   for dir in $wanteddirs; do
-     find $dir -type d -exec install -d -m755 $pkgdir/usr/share/texmf-dist/'{}' \;
-     find $dir -type f -exec install -m644 '{}' $pkgdir/usr/share/texmf-dist/'{}' \;
-   done
-   if [[ -d texmf-dist ]]; then
-     find texmf-dist -type d -exec install -d -m755 $pkgdir/usr/share/'{}' \;
-     find texmf-dist -type f -exec install -m644 '{}' $pkgdir/usr/share/'{}' \;
-   fi
-   if [[ -d $pkgdir/usr/share/texmf-dist/scripts ]]; then
-     find $pkgdir/usr/share/texmf-dist/scripts -type f -exec chmod a+x '{}' \;
-   fi
-   # fix python2 command name in scripts.
-   sed -i 's/env python/env python2/' $pkgdir/usr/share/texmf-dist/scripts/lilyglyphs/*.py
-   # script symlinks
-   install -m755 -d $pkgdir/usr/bin
-   ln -s /usr/share/texmf-dist/scripts/lilyglyphs/lily-glyph-commands.py $pkgdir/usr/bin/lily-glyph-commands
-   ln -s /usr/share/texmf-dist/scripts/lilyglyphs/lily-image-commands.py $pkgdir/usr/bin/lily-image-commands
-   ln -s /usr/share/texmf-dist/scripts/lilyglyphs/lily-rebuild-pdfs.py $pkgdir/usr/bin/lily-rebuild-pdfs
-   ln -s /usr/share/texmf-dist/scripts/m-tx/m-tx.lua $pkgdir/usr/bin/m-tx
-   ln -s /usr/share/texmf-dist/scripts/musixtex/musixflx.lua $pkgdir/usr/bin/musixflx
-   ln -s /usr/share/texmf-dist/scripts/musixtex/musixtex.lua $pkgdir/usr/bin/musixtex
-   ln -s /usr/share/texmf-dist/scripts/pmxchords/pmxchords.lua $pkgdir/usr/bin/pmxchords
-}

Copied: texlive-music/repos/extra-any/PKGBUILD (from rev 309544, texlive-music/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2017-11-11 12:20:15 UTC (rev 309545)
@@ -0,0 +1,57 @@
+# $Id$
+# Maintainer: Firmicus <firmicus āt gmx dōt net>
+# Maintainer: Rémy Oudompheng <remy at archlinux.org>
+
+pkgname=texlive-music
+pkgver=2017.45674
+_revnr=${pkgver#2017.}
+pkgrel=1
+pkgdesc="TeX Live - Music typesetting packages"
+license=('GPL')
+arch=(any)
+depends=('texlive-core')
+optdepends=('python2: for scripts from the lilyglyphs packages')
+groups=('texlive-most')
+url='http://tug.org/texlive/'
+source=("https://sources.archlinux.org/other/texlive/$pkgname-$pkgver-src.zip" "$pkgname.maps")
+options=('!emptydirs')
+sha256sums=('e62d604f174c0c800c436afdc237f9aad4cd7c0ffa6d672d9b4d49bce62c244d'
+            '0b3cc045390e756eb9243c0acc99a48a9c02ddab4764f4a00f8c3170660f017f')
+
+build() {
+   for p in *.tar.xz; do
+	   bsdtar -xf $p
+   done
+   rm -rf {tlpkg,doc,source} || true
+}
+
+package() {
+   install -m755 -d $pkgdir/var/lib/texmf/arch/installedpkgs
+   sed -i '/^#/d' CONTENTS
+   install -m644 CONTENTS $pkgdir/var/lib/texmf/arch/installedpkgs/${pkgname}_${_revnr}.pkgs
+   install -m644 $pkgname.maps $pkgdir/var/lib/texmf/arch/installedpkgs/
+   install -m755 -d $pkgdir/usr/share
+   wanteddirs=$(for d in *; do test -d $d && [[ $d != texmf* ]] && echo $d; done) || true
+   for dir in $wanteddirs; do
+     find $dir -type d -exec install -d -m755 $pkgdir/usr/share/texmf-dist/'{}' \;
+     find $dir -type f -exec install -m644 '{}' $pkgdir/usr/share/texmf-dist/'{}' \;
+   done
+   if [[ -d texmf-dist ]]; then
+     find texmf-dist -type d -exec install -d -m755 $pkgdir/usr/share/'{}' \;
+     find texmf-dist -type f -exec install -m644 '{}' $pkgdir/usr/share/'{}' \;
+   fi
+   if [[ -d $pkgdir/usr/share/texmf-dist/scripts ]]; then
+     find $pkgdir/usr/share/texmf-dist/scripts -type f -exec chmod a+x '{}' \;
+   fi
+   # fix python2 command name in scripts.
+   sed -i 's/env python/env python2/' $pkgdir/usr/share/texmf-dist/scripts/lilyglyphs/*.py
+   # script symlinks
+   install -m755 -d $pkgdir/usr/bin
+   ln -s /usr/share/texmf-dist/scripts/lilyglyphs/lily-glyph-commands.py $pkgdir/usr/bin/lily-glyph-commands
+   ln -s /usr/share/texmf-dist/scripts/lilyglyphs/lily-image-commands.py $pkgdir/usr/bin/lily-image-commands
+   ln -s /usr/share/texmf-dist/scripts/lilyglyphs/lily-rebuild-pdfs.py $pkgdir/usr/bin/lily-rebuild-pdfs
+   ln -s /usr/share/texmf-dist/scripts/m-tx/m-tx.lua $pkgdir/usr/bin/m-tx
+   ln -s /usr/share/texmf-dist/scripts/musixtex/musixflx.lua $pkgdir/usr/bin/musixflx
+   ln -s /usr/share/texmf-dist/scripts/musixtex/musixtex.lua $pkgdir/usr/bin/musixtex
+   ln -s /usr/share/texmf-dist/scripts/pmxchords/pmxchords.lua $pkgdir/usr/bin/pmxchords
+}

Deleted: texlive-music.maps
===================================================================
--- texlive-music.maps	2017-11-11 12:20:06 UTC (rev 309544)
+++ texlive-music.maps	2017-11-11 12:20:15 UTC (rev 309545)
@@ -1 +0,0 @@
-MixedMap musix.map

Copied: texlive-music/repos/extra-any/texlive-music.maps (from rev 309544, texlive-music/trunk/texlive-music.maps)
===================================================================
--- texlive-music.maps	                        (rev 0)
+++ texlive-music.maps	2017-11-11 12:20:15 UTC (rev 309545)
@@ -0,0 +1 @@
+MixedMap musix.map


More information about the arch-commits mailing list